﻿using System;
using System.Collections.Generic;
using System.Drawing;
using System.Drawing.Drawing2D;
using System.Text;
using System.Windows.Forms;

namespace OwnerDrawSample
{
    public class GradientButton : Button
    {
        protected override void OnPaint(PaintEventArgs pevent)
        {
            using (LinearGradientBrush myBack = new LinearGradientBrush(
                pevent.ClipRectangle, this.ForeColor, this.BackColor, 45f))
            {
                pevent.Graphics.FillRectangle(myBack, pevent.ClipRectangle);
            }
            using (LinearGradientBrush myFore = new LinearGradientBrush(
                pevent.ClipRectangle, this.BackColor, this.ForeColor, 45f))
            using (StringFormat format = new StringFormat()) 
            {
                Converters.ModifyStringFormatFromContentAllignment(
                    format, this.TextAlign);
                pevent.Graphics.DrawString(this.Text, this.Font,
                    myFore, pevent.ClipRectangle, format);
            }
        }
    }
}
