﻿#region Using directives

using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Drawing.Drawing2D;
using System.Text;
using System.Windows.Forms;

#endregion

namespace OwnerDrawSample {
  partial class MainForm : Form {
    public MainForm() {
      InitializeComponent();
    }
    
    private void ownerDrawnFixedListBoxButton_Click(object sender, EventArgs e) {
      (new OwnerDrawnFixedSampleForm()).ShowDialog();
    }

    private void ownerDrawnVariableListBoxButton_Click(object sender, EventArgs e) {
      (new OwnerDrawnVariableSampleForm()).ShowDialog();
    }

    private void toolTipButtons_Draw(object sender, DrawToolTipEventArgs e)
    {
        ToolTip control = sender as ToolTip;
        using (Brush brush = new HatchBrush(HatchStyle.LightDownwardDiagonal,
            control.ForeColor, control.BackColor))
        {
            e.Graphics.FillRectangle(brush, e.Bounds);
        }
        e.DrawBorder();
        e.Graphics.DrawString(
            e.ToolTipText, e.Font, Brushes.Black, e.Bounds);
    }
  }
}